Package org.linphone.core

# Class MagicSearchListenerStub

java.lang.Object
org.linphone.core.MagicSearchListenerStub

All Implemented Interfaces:
  `MagicSearchListener`

public class MagicSearchListenerStub extends Object implements MagicSearchListener

## Constructor Summary

Constructors
Constructor
Description
`MagicSearchListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)`
Callback used to notify when LDAP have more results available.
`void`
`onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)`
Callback used to notify when more results are available for a given
invalid reference

    MagicSearch#Source

flag.
`void`
`onSearchResultsReceived(MagicSearch magicSearch)`
Callback used to notify when results are received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MagicSearchListenerStub

public MagicSearchListenerStub()

## Method Details

### onSearchResultsReceived

public void onSearchResultsReceived(MagicSearch magicSearch)
Description copied from interface: `MagicSearchListener`
Callback used to notify when results are received.

Specified by:
  `onSearchResultsReceived` in interface `MagicSearchListener`
Parameters:
  `magicSearch` - `MagicSearch` object

### onLdapHaveMoreResults

public void onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)
Description copied from interface: `MagicSearchListener`
Callback used to notify when LDAP have more results available.

Specified by:
  `onLdapHaveMoreResults` in interface `MagicSearchListener`
Parameters:
  `magicSearch` - `MagicSearch` object
  `ldap` - `Ldap` object

### onMoreResultsAvailable

public void onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)
Description copied from interface: `MagicSearchListener`
Callback used to notify when more results are available for a given
invalid reference

    MagicSearch#Source

flag.

Specified by:
  `onMoreResultsAvailable` in interface `MagicSearchListener`
Parameters:
  `magicSearch` - `MagicSearch` object
  `source` - The source flag indicating for which type of result there is more
  results available.